@echo off

rem Setup environment
call tinienv.bat

rem Save classpath
set OLDCLASSPATH=%CLASSPATH%

set IB_SRC=%TINI_DIR%\src\Optional\iButtonContainers\com\ibutton\container\iButtonContainer*.java
set SERVLET_SRC=SnoopServlet.java SessionServlet.java AuthenticatedServlet.java BackupServlet.java iButtonServlet.java FamilyCode10Servlet.java FamilyCode20Servlet.java %IB_SRC%

if not "%1" == "" goto PUREJAVA

echo TINI build.
set BOOTCLASSPATH=-bootclasspath %TINI_DIR%\bin\tiniclasses.jar
set CLASSDIR=../classes.tini
set CLASSPATH=%CLASSDIR%
set SERVLET_SRC=%SERVLET_SRC% TiniServlet.java
goto COMPILE

:PUREJAVA
echo Pure Java build.
set BOOTCLASSPATH=
set CLASSDIR=../classes
set CLASSPATH=%CLASSDIR%;%SERVLET_JAR%;%IBUTTON_JAR%

:COMPILE
cd src
javac %BOOTCLASSPATH% -d %CLASSDIR% %SERVLET_SRC%

set CLASSPATH=%OLDCLASSPATH%
cd ..
