@echo off

rem Setup environment
call tinienv.bat

rem Save classpath
set OLDCLASSPATH=%CLASSPATH%

if not "%1" == "" goto PUREJAVA

echo TINI build.
set BOOTCLASSPATH=-bootclasspath %TINI_DIR%\bin\tiniclasses.jar
set CLASSDIR=classes.tini
set CLASSPATH=%CLASSDIR%

rem Extract servlet jar file
mkdir %CLASSDIR%
cd %CLASSDIR%
jar xf %SERVLET_JAR%

rem Delete unwanted files
del javax\servlet\LocalStrings.properties
del javax\servlet\ServletOutputStream.class

del javax\servlet\http\Cookie.class
del javax\servlet\http\HttpServlet.class
del javax\servlet\http\HttpUtils.class
del javax\servlet\http\LocalStrings.properties

del javax\servlet\jsp\HttpJspPage.class
del javax\servlet\jsp\JSPPage.class
rd javax\servlet\jsp

del meta-inf\Manifest.mf
rd meta-inf

cd ..

goto COMPILE

:PUREJAVA
echo Pure Java build.
set BOOTCLASSPATH=
set CLASSDIR=classes
set CLASSPATH=%CLASSDIR%;%SERVLET_JAR%;%IBUTTON_JAR%
mkdir %CLASSDIR%

:COMPILE
set SERVER_SRC=src\com\smartsc\http\*.java src\com\smartsc\util\*.java src\com\smartsc\ibutton\*.java src\javax\servlet\*.java src\javax\servlet\http\*.java

javac %BOOTCLASSPATH% -d %CLASSDIR% %SERVER_SRC%

set CLASSPATH=%OLDCLASSPATH%
